From 3855f74c27cf79a230d3c89c0d2e211fe43c2d1c Mon Sep 17 00:00:00 2001
From: Louis Bettens <louis@bettens.info>
Date: Sat, 30 Nov 2013 20:12:00 +0100
Subject: [PATCH 1/5] debchange: replace call to date -R with strftime()

---
 scripts/debchange.pl | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/scripts/debchange.pl b/scripts/debchange.pl
index 82875d6..3ec288d 100755
--- a/scripts/debchange.pl
+++ b/scripts/debchange.pl
@@ -43,6 +43,9 @@ use Dpkg::Compression;
 use Dpkg::Vendor qw(get_current_vendor);
 use lib '/usr/share/devscripts';
 use Devscripts::Debbugs;
+use POSIX qw(locale_h strftime);
+
+setlocale(LC_TIME, "C"); # so that strftime is locale independent
 
 # Predeclare functions
 sub fatal($);
@@ -989,8 +992,7 @@ if (@ARGV and ! $TEXT) {
 }
 
 # Get the date
-my $date_cmd = ($opt_tz ? "TZ=$opt_tz " : "") . "date -R";
-chomp(my $DATE=`$date_cmd`);
+my $DATE=strftime "%a, %d %b %Y %T %z", localtime();
 
 if ($opt_news && !$opt_i && !$opt_a) {
     if ($VERSION eq $changelog{'Version'} && !$opt_v && !$opt_l) {
-- 
1.8.4.3

